@mixin app-side-door-client-search-result-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  app-side-door-client-search-result {
    width: 100%;
    padding: 5px;
    overflow-x: hidden;
  }

  .side-door-client-search-result {
    margin-top: 25px !important;
    display: flex;
    flex-direction: column;
    padding: 5px;
    background-color: mat-color($primary, 50);

    .sdcsr-main-card {
      display: flex;
      flex-direction: column;
      padding: 0px;
      background-color: mat-color($primary, 50);

      .banner-header {
        margin-top: 0px;
        margin-bottom: 0px;
        margin-left: 5px;
        font-size: 1em;
        font-weight: 600;
        color: #bf3626;
      }

      .banner-details {
        display: flex;
        background-color: white;
        border: 2px solid mat-color($primary, 100);
        border-radius: 5px;
        padding: 5px;
        margin: 5px;
        margin-bottom: 10px;
        font-size: 0.9em;

        .details-text {
          font-size: 0.9em;
          display: flex;
          flex: auto;
          flex-basis: 0;
          margin-right: 5px;
        }

        b {
          color: mat-color($primary);
          margin-right: 5px;
        }

        .doc {
          mat-icon {
            vertical-align: middle;
          }
        }
      }

      .mat-card-header {
        margin-bottom: 15px;
        .header-card {
          margin: 0px -5px;
          padding: 0;
          background-color: mat-color($primary, 50);
        }
        .sidedoor-stat-banner {
          display: flex;
          background-color: white;
          border: 2px solid mat-color($primary, 100);
          border-radius: 5px;
          padding: 10px;
          margin-bottom: 10px;
          font-size: 0.9em;

          b {
            color: mat-color($primary);
            margin-right: 5px;
          }

          .stats {
            cursor: pointer;
            display: flex;
            flex: auto;
            justify-content: center;
          }
        }
      }

      .mat-card-content {
        .example-small-box {
          display: flex;
          align-items: center;
          justify-content: center;
          background: white;

          .search-result {
            padding: 5px;

            .search-result-header {
              margin-top: 0px;
              margin-bottom: 10px;
              margin-left: 5px;
              font-size: 1em;
              font-weight: 600;
              color: mat-color($primary);
            }
            .btn-section {
              width: 100%;
              padding: 10px;
              margin: 5px 0px;

            }
          }
        }
      }
    }
  }
}
